require 'phi'
include Phi
form = Form.new
i = Button.new form, :btn
i.align = Phi::AL_CLIENT
i.caption = 'hello'
def i.on_click
  self.caption = Time.now.to_s
  print "clicked\n"
end
form.show
Phi.mainloop
